USB pad diagonals not working
-
PS - Im running a rp3
-
@looneymetal Hi,
The last guy who had that problem forgot to say he wasn't using a genuine Recalbox image, but some lousy pre-bloated image found on the net. Are you in that case ?
-
Hi substring, ya that was me and following the advise on there I downloaded the genuine image from the link that was provided but still have exactly the same issue.
-
@substring and also tried with a switch pro controller and exactly the same.
-
@looneymetal considering you may be the very 1st one to whom this happens, i believe there is some problem in your ocnfiguration. Can you make a support archive please ?
-
@substring Apologies for the delay, i had to work out how to do that, i think this is it.
#!/bin/sh
GTMP="/tmp"
DHOME="/recalbox/share/system"to be callable by any external tool
if test $# -eq 1
then
REPORTNAME=$(basename "$1" | sed -e s+'^([^.])..$'+'\1'+)
OUTPUTFILE=$1
else
REPORTNAME="recalbox-support-"$(date +%Y%m%d%H%M%S)
OUTPUTFILE="/recalbox/share/saves/${REPORTNAME}.tar.gz"
fiTMPDIR="${GTMP}/${REPORTNAME}"
f_cp() {
test -e "$1" && cp "$1" "$2"
}d_cp() {
test -d "$1" && cp -pr "$1" "$2"
}if mkdir "${TMPDIR}" && mkdir "${TMPDIR}/"{system,joysticks,lirc,kodi}
then
if ! cd "${TMPDIR}"
then
echo "Change directory failed" >&2
exit 1
fi
else
echo "Reporting directory creation failed" >&2
exit 1
fiSYSTEM
DSYSTEM="${TMPDIR}/system"
dmesg > "${DSYSTEM}/dmesg.txt"
lsmod > "${DSYSTEM}/lsmod.txt"
ps > "${DSYSTEM}/ps.txt"
df -h > "${DSYSTEM}/df.txt"
netstat -tuan > "${DSYSTEM}/netstat.txt"
lsusb -v > "${DSYSTEM}/lsusb.txt" 2>/dev/null
tvservice -m CEA > "${DSYSTEM}/tvservice-CEA.txt"
tvservice -m DMT > "${DSYSTEM}/tvservice-DMT.txt"
ifconfig -a > "${DSYSTEM}/ifconfig.txt"
lspci > "${DSYSTEM}/lspci.txt"
amixer > "${DSYSTEM}/amixer.txt"
aplay -l > "${DSYSTEM}/aplay-l.txt"
DISPLAY=:0.0 glxinfo > "${DSYSTEM}/glxinfo.txt"
DISPLAY=:0.0 xrandr > "${DSYSTEM}/xrandr.txt"
connmanctl technologies > "${DSYSTEM}/connman-technologies.txt"
connmanctl services > "${DSYSTEM}/connman-services.txt"
f_cp /recalbox/recalbox.version "${DSYSTEM}"
f_cp /recalbox/recalbox.arch "${DSYSTEM}"
f_cp /boot/config.txt "${DSYSTEM}"
f_cp /recalbox/share/system/recalbox.conf "${DSYSTEM}"
d_cp /recalbox/share/system/logs "${DSYSTEM}"
f_cp /var/log/messages "${DSYSTEM}"
f_cp /recalbox/share/system/.emulationstation/es_settings.cfg "${DSYSTEM}"
f_cp /recalbox/share/system/.emulationstation/es_log.txt "${DSYSTEM}"
f_cp /recalbox/share/system/.emulationstation/es_input.cfg "${DSYSTEM}"
f_cp /boot/recalbox-boot.conf "${DSYSTEM}"
f_cp /var/log/Xorg.0.log "${DSYSTEM}"Update logs
d_cp /recalbox/share/system/upgrade "${DSYSTEM}"
find "${DSYSTEM}/upgrade" -type f ! -name "upgrade" | xargs rmEmulators configs
d_cp /recalbox/share/system/configs "${TMPDIR}/configs"
joysticks
DJOYS="${TMPDIR}/joysticks"
find /dev/input > "${DJOYS}/inputs.txt"
for J in /dev/input/event*
do
N=$(basename ${J})
evtest --info "${J}" > "${DJOYS}/evtest.${N}.txt"
udevadm info -q all -n "${J}" > "${DJOYS}/udevadm.${N}.txt"
done
sdl2-jstest -l > "${DJOYS}/sdl2-jstest.txt"lirc
DLIRC="${TMPDIR}/lirc"
f_cp "${DHOME}/.config/lirc/lircd.conf" "${DLIRC}"kodi
DKODI="${TMPDIR}/kodi"
f_cp "${DHOME}/.kodi/userdata/Lircmap.xml" "${DKODI}"
f_cp "${DHOME}/.kodi/userdata/keymaps/recalbox.xml" "${DKODI}"
d_cp "${DHOME}/.kodi/userdata/remotes" "${DKODI}"
f_cp "${DHOME}/.kodi/temp/kodi.log" "${DKODI}"if ! (cd "${GTMP}" && tar cf - "${REPORTNAME}" | gzip -c > "${OUTPUTFILE}")
then
echo "Reporting zip creation failed" >&2
exit 1
firm -rf "${TMPDIR}"
echo "${OUTPUTFILE}"
exit 0 -
@looneymetal just go to http://recalbox/help
-
@substring Thanks for your reply, i cannot get that link to work nor can i find a help section on the recalbox website.
I'll keep trying to configure. -
@looneymetal are you on a mac ? Then try http://recalbox.local/help
Or just find your recalbox ip and reach it with your browser
-
@substring Apologies i thought that was on the website rather than through the pi so didn't have it on the network.
Im on a pc.Hope thats right?
-
@looneymetal it's right, indeed, but looks like you olayed N64 with a PS3 pad, i don't see any trace if your other pad.s configuration
-
@substring Apologies the switch pro is over bluetooth and battery had died (not sure if that's why) so was using the ps3 pad on the menu, ive just done it again with the switch pad being used (sorry)